Prerequisites Checker - how to access it?

If anybody knows - please will you give me a detailed description of how to install this and how to activate/run it. Thanks.

Also I am very confused about prerequisites: for example I read elsewhere here that I need to install the prerequisite GraphViz. So is this to be installed somehow from within Gramps? Or should I go to the command line in a terminal and type ‘sudo apt install GraphViz’? Is GraphViz part of Gramps or is it independent? BTW I’m pretty sure it might be ‘sudo apt install graphviz’ non-capitalised. Are all prerequisites always to be installed as part of the OS rather than within Gramps?

As a beginner in Gramps I find it especially difficult on this forum if I read ‘you need to use x’ or ‘you need to install x’ without a precise explanation of how / which menu it is in / how to make its icon display etc!

Thanks!
Gramps 5.1.2
Ubuntu 20.04

If anybody knows - please will you give me a detailed description of how to install this and how to activate/run it. Thanks.

Norman, here are two wikis which will help:

  1. Installing Addon in Gramps
  2. Addon:Prerequisites Checker Gramplet

Hint: Prerequisites checker is in the ‘Gramplet’ category of addons. Sorting the list by the Name column will make it easier to find.

As a beginner in Gramps I find it especially difficult on this forum if I read ‘you need to use x’ or ‘you need to install x’ without a precise explanation of how / which menu it is in / how to make its icon display etc!

Yes, it can be difficult to get started. Going through the wiki and reading posts on the Gramps mailing list has helped me a lot.

1 Like

Prerequisites Checker is an addon gramplet. It can be installed using the Third party addons management on the General tab in Preferences. Menu Edit >> Preferences.

If you have already run this tool, Check for updated addons now, and did not install the gramplet, then you will need to uncheck the Do not ask about previously notified addons box.

Once Prerequisites Checker is installed, open your Dashboard view and right-click in an open space and Add a gramplet >> Prerequisites Checker. Once loaded, the gramplet will automatically start. It may take a while.


As to missing components… it is different for each OS. I am on Win10. Our installer has AIO in the file name. All In One. Things we need need to be packaged into the program. There are some exceptions. But for Linux user with the multitude of flavors your installs can be more of a initial challenge.

Here’s the GraphViz page

http://www.graphviz.org/download/

As I am not a Linux user I hope other users can give better guidance.

1 Like

I set my third party management to check Once a day, New and Updated addons, and I have the Do not ask about previously notified addons unchecked.

This ensures that I always have all addons and they are up-to-date. And when I find an addon that I actually do not want or use, I Hide them using the Plugin Manager.

This seems to work for me.

Usually a good place to start looking for these type of answers will by on the addon’s wiki page.

https://gramps-project.org/wiki/index.php?title=5.1_Addons

One of the reasons that these Prerequisites tend to be installed outside of the Gramps installer is that they are not simple libraries.

GraphViz is a completely separate Open Source application… and applications tend to evolve more persistently than add-ons. So the idea is to not be tied into a version for the add-on installer which might cause a newer release of the application to be overwritten.

Note that GraphViz allows you to interactively edit the layout of a graph generated by Gramps.

1 Like

Thanks very much Dave and emy.

I need to keep saying - Gramps is amazing - excellent - and the community is super-helpful. So sorry if there is an occasional cry of frustration!

Dave - your answer should be put at the top of the forum as a model of how to explain something explicitly enough for all levels of users! I would not have guessed in a 1000000 years the right mouse in the Dashboard move!

By the way - Edit|Preferences|General|3rd Party does not offer installations (probably because I opted for ‘install all addons’ when I first installed Gramps - as recommended elsewhere on the forum?). If I was going to be critical - this section hardly constitutes ‘Management’ as it only offers update preferences. Really management would be like the tool Help|Plugin Manager - I suggest this be moved or available as a button in Edit|Preferences as it took me a lot of searching to find it.

I have proposed a change to Preferences to give Addons its own tab and removed Management and replaced with Installation.

https://gramps-project.org/bugs/view.php?id=12049

I have also proposed a change to add icons to the toolbar for direct access to Preferences and Plugin Manager

https://gramps-project.org/bugs/view.php?id=12030

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.